# $Revision: 1.11 $, $Date: 2012/01/15 21:39:42 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (one test fails)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Run3
Summary:	IPC::Run3 - Run a subprocess in batch mode (a la system) on Unix, Win32, etc.
Summary(pl.UTF-8):	IPC::Run3 - uruchamianie podprocesu w trybie wsadowym (tak jak system)
Name:		perl-IPC-Run3
Version:	0.045
Release:	1
License:	BSD, GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e8913c03a8a6c6297a6e622d656e343a
URL:		http://search.cpan.org/dist/IPC-Run3/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.31
BuildRequires:	perl-Time-HiRes
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Run a subprocess in batch mode (a la system) on Unix, Win32, etc.

%description -l pl.UTF-8
Uruchamianie podprocesu w trybie wsadowym (tak jak system) na
Uniksach, Win32 itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorlib}/IPC/Run3.pm
%{perl_vendorlib}/IPC/Run3
%{_mandir}/man3/IPC::Run3*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-Run3.spec,v $
Revision 1.11  2012/01/15 21:39:42  zbyniu
- up to 0.045

Revision 1.10  2011/03/05 18:22:25  qboosh
- updated to 0.044

Revision 1.9  2009/09/15 10:57:34  amateja
- fixed commit log

Revision 1.8  2009/09/15 10:56:38  amateja
- updated to 0.043

Revision 1.7  2008/02/17 17:19:45  radek
- version 0.039

Revision 1.6  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:36  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:27  paladine
- formatting

Revision 1.3  2004/10/24 15:15:49  paladine
- uniksach->Uniksach

Revision 1.2  2004/05/21 17:28:21  qboosh
- pl

Revision 1.1  2004/05/21 02:53:27  arekm
- initial pld release
